Publica status (stories) visíveis aos contatos da sessão. Campos de mídia aceitam URL HTTP ou base64.
POST /status/send/text| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
text | string | Sim | Texto do status |
background_color | number | Não | Cor de fundo (ARGB int32) |
font | number | Não | Índice da fonte (0 a 5) |
Request
Seção intitulada “Request”curl -X POST https://endpoint.wi.api.br/status/send/text \ -H "x-api-key: $WIAPI_KEY" \ -H "x-instance: session_01" \ -H "Content-Type: application/json" \ -d '{ "text": "Bom dia!", "background_color": 4278243070, "font": 1 }'const response = await fetch("https://endpoint.wi.api.br/status/send/text", { method: "POST", headers: { "x-api-key": process.env.WIAPI_KEY, "x-instance": "session_01", "Content-Type": "application/json", }, body: JSON.stringify({ text: "Bom dia!", background_color: 4278243070, font: 1, }),});
const data = await response.json();import requests
response = requests.post( "https://endpoint.wi.api.br/status/send/text", headers={ "x-api-key": WIAPI_KEY, "x-instance": "session_01", }, json={ "text": "Bom dia!", "background_color": 4278243070, "font": 1, },)
data = response.json()Response
Seção intitulada “Response”{ "success": true, "id": "3EB0A1B2C3D4..."}POST /status/send/image| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
image | string | Sim | URL ou base64 da imagem |
caption | string | Não | Legenda opcional |
mimetype | string | Não | MIME type (ex: image/jpeg) |
POST /status/send/video| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
video | string | Sim | URL ou base64 do vídeo |
caption | string | Não | Legenda opcional |
mimetype | string | Não | MIME type (ex: video/mp4) |
POST /status/send/audio| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
audio | string | Sim | URL ou base64 do áudio |
mimetype | string | Não | MIME type (ex: audio/ogg) |